

var playerInitTimemediaspace = Date.now();
var playermediaspace = jwplayer("mediaspace");

var playerConfigmediaspace = {
	"playlist": [{
		"sources": [
			

			{ "type": "hls", "label": "Auto-HLS", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673067509_336b027e581c4a7165bb4b126226a1fabfe1c2a3/2018/10/mary-bowen/5936/video/previews/h264-,504p,720p,360p,216p.m3u8" },
			{ "type": "mpd", "label": "Auto-MPD", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673067509_336b027e581c4a7165bb4b126226a1fabfe1c2a3/2018/10/mary-bowen/5936/video/previews/h264-,504p,720p,360p,216p.mpd" }, {}
			
		],
		"image": "//images.pilatesanytime.com/2018/10/22/full_mary_181022_PA5936-42047.jpg",
		
		"title": "#3588: The Mary Bowen Historical Film",
		"description": "Pilates History, Joseph Pilates, Clara Pilates",
		
		"tracks": [
			
			{ "kind": "chapters", "file": "/caption_files/vtt_chapters/7289_chapters.vtt" },
			
			{ "kind": "thumbnails", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673067509_a70c0f9c64c1f5ee3056dec752eb6d3e7fc0ce8e/2018/10/mary-bowen/5936/thumbs/160x90.vtt" },
			
		{} ]
	}],
	"skin": {
		"url": "https://www.pilatesanytime.com/css/jwplayer8/skins/pilates_jwplayer8_skin.css?v=PIL-3405",
		"name": "tm_skin"
	},
	"playbackRateControls": [0.5, 0.75, 1, 1.25, 1.5, 2.0],
	
	"cast": {
		"appid": "D285D081",
		"logo": "//images.pilatesanytime.com/graphics/pilates/PAlogo_@2x.png",
		"railcolor": "#99cc33"
	},
	
	"width": "100%",
	"aspectratio": "16:9",
	"hlshtml": true,
	"floating": { "dismissible": true } 
};

playermediaspace.setup(playerConfigmediaspace);



if (typeof initJWPlayerMux !== 'undefined') {
	initJWPlayerMux(playermediaspace, {
		debug: false,
		data: {
			property_key: 'f668d87099c7c76bc3eef5935', // required
			page_type: 'watchpage', // (see docs) 'watchpage', 'iframe', or leave empty
			viewer_user_id: '-1', // ex: '12345'
			experiment_name: '', // ex: 'player_test_A'
			sub_property_id: 'pilates', // ex: 'cus-1'

			// Player Metadata
			player_name: 'jwplayer', // ex: 'My Main Player'
			player_version: jwplayer.version.split("+")[0], // ex: '1.0.0'
			player_init_time: playerInitTimemediaspace, // ex: 1451606400000

			// Video Metadata (cleared with 'videochange' event)
			video_id: '7289', // ex: 'abcd123'
			video_title: '7289: The Mary Bowen Historical Film', // ex: 'My Great Video'
			video_series: 'Mary Bowen', // ex: 'Weekly Great Videos'
			video_producer: '', // ex: 'Bob the Producer'
			video_content_type: '', // 'short', 'movie', 'episode', 'clip', 'trailer', or 'event'
			video_language_code: '', // ex: 'en'
			video_variant_name: '', // ex: 'Spanish Hard Subs'
			video_variant_id: '', // ex: 'abcd1234'
			video_duration: '', // in milliseconds, ex: 120000
			video_stream_type: 'on-demand', // 'live' or 'on-demand'
			video_encoding_variant: '', // ex: 'Variant 1'
			video_cdn: 'fastly' // ex: 'Fastly', 'Cloudfront'
		}
	});
}

var videoIsPlaying = 0;
var asked_resume = 0;


	var requireTermsOK = 1;

	asked_resume = 0;



playermediaspace.on('time', function(evt) { 
	var lastPosition = $("#video_view_pos").val();
	var currentPosition = evt.position;
	videoIsPlaying = 1;
	$("#video_view_pos").val(currentPosition);

	
		getCurrentChapter(currentPosition);
		
		
		// record position in cookie, update form field	  
		//markWatched("mediaProgress");
		var date = new Date();
		date.setTime(date.getTime()+(90*1000));
		document.cookie="last_video_id=7289; secure; expires=" + date.toGMTString();
		document.cookie="last_position=" + currentPosition + "; secure; expires=" + date.toGMTString();
	
});


playermediaspace.on('pause', function(data) { 
	if (videoIsPlaying == 1) { markWatched("mediaStop"); }
	videoIsPlaying = 0;
	if (document.ga) ga('send', 'event', 'video', 'pause', 'video_id', 7289);
});




playermediaspace.on('play', function(data) {
	
	
	var videoIsPlaying = 1;
	position = $('#video_view_pos').val();
	//console.log("onPlay position is: " + position);
	if (position > 0) {
		//if we have not asked them resume question yet...
		if (asked_resume == 0) {
			$('#js-progress-video').hide();
			asked_resume = 1;
			//console.log("resuming playback...");
			doResumemediaspace(position);
		}
	}
	markWatched("mediaPlay");
		
	if (document.ga) ga('send', 'event', 'video', 'play', 'video_id', 7289);

	
});


playermediaspace.on('complete', function() {
	
		markWatched("mediaComplete");
		
		
	if (document.ga) ga('send', 'event', 'video', 'complete', 'video_id', 7289);
	
});




playermediaspace.on('error', function(error) {

	if (document.ga) ga('send', 'event', 'video', 'error', 'video_id', 7289);
	

	var payload = {
		vid: "7289",
		cid: "3588",
		i: "-1",
		e: error,
		c: jwplayer('mediaspace').getConfig()
	};
	
	if (error.message.indexOf("Error loading media: File could not be played") >= 0) {
		//Update their prefs to exclude 720p bad renditions, Show the help div
		$('#playbackIssuesDIV').show();
		
		var file = jwplayer('mediaspace').getConfig().playlist[0].file;
		
		$.ajax({
			async: false,
			timeout: 10,
			url: file,
			type: "GET",
			error: function(xhr, status, innererror) {
				var responseText = xhr.responseText;
				var re = /^Reference\&\#32\;\&\#35\;(.*)$/m;
				var result = responseText.match(re);
				if (result.length > 1) {
					var reference = result[1];
					payload = {
						vid: "7289",
						cid: "3588",
						i: "-1",
						e: error,
						c: jwplayer('mediaspace').getConfig(),
						ar: reference
					};
				}
			}
		});
	}
	else if (error.message.indexOf("Cannot load M3U8: Crossdomain access denied" >= 0)) {
		if ($.cookie("crossdomainReload") !== "true") {
			$.cookie("crossdomainReload", "true");
			// Display brief flash message indicating we're reloading expired video page ?
			location.reload();
		}
		else {
			// Display more friendly error message than the JWPlayer M3U8 access denied?
		}
	}
	else {
		//alert(error.message.indexOf("Error loading media: File could not be played"));
	}
	
	$.ajax({
		type: "POST",
		url: "/jwplayer/jwplayer_error.cfm",
		contentType: "application/json; charset=utf-8",
		data: JSON.stringify(payload),
		success: function(data) {
			//result = $.parseJSON(data);
			//console.log("post result:"+result.error_message);
		}
	});
});


function doPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
}

function doPlayPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
	else {
		playermediaspace.play();
	}
}

function doResumemediaspace(resume_position) {
	playermediaspace.seek(resume_position);
	
	$("#video_view_pos").val(resume_position);
	
}

function getClassURL() {
	new_url = "#";
	
	new_url = '/workshop_view.cfm?class_id=3588';
	
	return new_url;
}


function markWatched(my_action) {		
	var my_position = document.getElementById("video_view_pos").value;
	var instance = new classFunctions();  
	if (my_action == 'mediaPlay' || my_action == 'mediaStop' || my_action == 'mediaComplete' || my_action == 'mediaProgress') {
		var myResult = instance.saveClassView(7289, -1, '-1', my_action, 36955572, my_position);
	}
	document.getElementById("video_view_pos").value = my_position;
}

function jumpToChapter(timecode) { seek(timecode); } // backward compatibility in case of caching; delete after 30 days, this function has been renamed
function seek(timecode) { playermediaspace.seek(timecode); }

function playVideo() { playermediaspace.play(); }


	function getCurrentChapter(cseconds) {
		
		
			if (cseconds >= 0 && cseconds <557.015) {
				//console.log('Chapter at '+cseconds+' is 151 - Chapter 1');
				markActiveChapter(151);
			}
			else {
				markInActiveChapter(151);
			}
			
		
			if (cseconds >= 557.015 && cseconds <894.001) {
				//console.log('Chapter at '+cseconds+' is 152 - Chapter 2');
				markActiveChapter(152);
			}
			else {
				markInActiveChapter(152);
			}
			
		
			if (cseconds >= 894.001 && cseconds <1069.004) {
				//console.log('Chapter at '+cseconds+' is 153 - Chapter 3');
				markActiveChapter(153);
			}
			else {
				markInActiveChapter(153);
			}
			
		
			if (cseconds >= 1069.004 && cseconds <1194.018) {
				//console.log('Chapter at '+cseconds+' is 154 - Chapter 4');
				markActiveChapter(154);
			}
			else {
				markInActiveChapter(154);
			}
			
		
			if (cseconds >= 1194.018 && cseconds <1371.004) {
				//console.log('Chapter at '+cseconds+' is 155 - Chapter 5');
				markActiveChapter(155);
			}
			else {
				markInActiveChapter(155);
			}
			
		
			if (cseconds >= 1371.004 && cseconds <1548.013) {
				//console.log('Chapter at '+cseconds+' is 156 - Chapter 6');
				markActiveChapter(156);
			}
			else {
				markInActiveChapter(156);
			}
			
		
			if (cseconds >= 1548.013 && cseconds <1728.024) {
				//console.log('Chapter at '+cseconds+' is 157 - Chapter 7');
				markActiveChapter(157);
			}
			else {
				markInActiveChapter(157);
			}
			
		
			if (cseconds >= 1728.024 && cseconds <1764.029) {
				//console.log('Chapter at '+cseconds+' is 158 - Chapter 8');
				markActiveChapter(158);
			}
			else {
				markInActiveChapter(158);
			}
			
		
			if (cseconds >= 1764.029 && cseconds <1916.02) {
				//console.log('Chapter at '+cseconds+' is 159 - Chapter 9');
				markActiveChapter(159);
			}
			else {
				markInActiveChapter(159);
			}
			
		
			if (cseconds >= 1916.02 && cseconds <2085.013) {
				//console.log('Chapter at '+cseconds+' is 160 - Chapter 10');
				markActiveChapter(160);
			}
			else {
				markInActiveChapter(160);
			}
			
		
			if (cseconds >= 2085.013 && cseconds <2739.012) {
				//console.log('Chapter at '+cseconds+' is 161 - Chapter 11');
				markActiveChapter(161);
			}
			else {
				markInActiveChapter(161);
			}
			
		
			if (cseconds >= 2739.012 && cseconds <2801.001) {
				//console.log('Chapter at '+cseconds+' is 162 - Chapter 12');
				markActiveChapter(162);
			}
			else {
				markInActiveChapter(162);
			}
			
		
			if (cseconds >= 2801.001 && cseconds <3591.015) {
				//console.log('Chapter at '+cseconds+' is 163 - Chapter 13');
				markActiveChapter(163);
			}
			else {
				markInActiveChapter(163);
			}
			
		
			if (cseconds >= 3591.015 && cseconds <3943.001) {
				//console.log('Chapter at '+cseconds+' is 164 - Chapter 14');
				markActiveChapter(164);
			}
			else {
				markInActiveChapter(164);
			}
			
		
			if (cseconds >= 3943.001 && cseconds <4131.01) {
				//console.log('Chapter at '+cseconds+' is 165 - Chapter 15');
				markActiveChapter(165);
			}
			else {
				markInActiveChapter(165);
			}
			
		
	}
	
	function markActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (!this_chapter.hasClass('tm-card-active')) {
			this_chapter.addClass('tm-card-active');
			scrollToChapter(my_chapter_id);
		}
	}
	function markInActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (this_chapter.hasClass('tm-card-active')) {
			this_chapter.removeClass('tm-card-active');
		}
	}
